gpsprune (26-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Aug 2025 13:46:14 +0200

gpsprune (26-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Aug 2025 06:46:27 +0200

gpsprune (25.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Fix old FSF address in copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 30 Mar 2025 07:35:29 +0200

gpsprune (25.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 02 Mar 2025 16:08:15 +0100

gpsprune (25-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Jan 2025 05:50:58 +0100

gpsprune (24.5-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Oct 2024 08:16:46 +0200

gpsprune (24.4-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Sep 2024 20:20:22 +0200

gpsprune (24.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 19 Aug 2024 05:40:41 +0200

gpsprune (24.2-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Jun 2024 19:45:56 +0200

gpsprune (24.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 02 Jun 2024 16:24:25 +0200

gpsprune (24-1) unstable; urgency=medium

  * New upstream release.
  * Add --add-opens option to JAVA_OPTS to fix Java3D functionality.
    (closes: #1068172)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 Apr 2024 07:08:06 +0200

gpsprune (23.2-1) unstable; urgency=medium

  * New upstream release.
  * Use execute_after instead of override in rules file.
  * Enable Salsa CI.
  * Switch to dh-sequence-*.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Oct 2023 05:33:41 +0200

gpsprune (23.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Jul 2023 05:44:02 +0200

gpsprune (23-1) unstable; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 12 Jun 2023 05:49:49 +0200

gpsprune (22.2-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Oct 2022 05:46:43 +0200

gpsprune (22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 03 Sep 2022 16:21:14 +0200

gpsprune (22-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes.
  * Remove Mònica Ramírez Arceda from Uploaders.
    (closes: #1015850)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 Aug 2022 19:06:36 +0200

gpsprune (21.3-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 May 2022 07:16:50 +0200

gpsprune (21.2-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 Apr 2022 05:21:29 +0200

gpsprune (21.1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Use -source/-target 8 for lambda expressions.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Feb 2022 05:34:34 +0100

gpsprune (21-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Nov 2021 19:46:15 +0100

gpsprune (20.4-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 10:32:39 +0200

gpsprune (20.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 May 2021 08:26:12 +0200

gpsprune (20.3-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Apr 2021 05:55:13 +0200

gpsprune (20.2-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Feb 2021 05:37:13 +0100

gpsprune (20.1-1) unstable; urgency=medium

  * New upstream release.
  * Revert jh_build bug workaround, issue is fixed in javatools 0.72.11.
  * Bump watch file version to 4.
  * Update upstream metadata.
  * Update lintian overrides.
  * Bump Standards-Version to 4.5.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 Dec 2020 20:13:28 +0100

gpsprune (20-2) unstable; urgency=medium

  * Add extra files to JAR because jh_build is broken, see: #945917.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 30 Mar 2020 13:07:53 +0200

gpsprune (20-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update gbp.conf to use --source-only-changes by default.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 30 Mar 2020 05:43:03 +0200

gpsprune (19.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 15 Dec 2018 09:57:34 +0100

gpsprune (19.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Aug 2018 10:38:28 +0200

gpsprune (19-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.5, no changes.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 18:15:08 +0200

gpsprune (19-1) unstable; urgency=medium

  * New upstream release.
  * Strip trailing whitespace from changelog & rules files.
  * Bump Standards-Version to 4.1.4, no changes.
  * Update Vcs-* URLs for Salsa.
  * Add license & copyright for metadata-extractor sources.
  * Drop metadata-extractor dependencies & patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 May 2018 08:14:05 +0200

gpsprune (18.6-2) unstable; urgency=medium

  * Add patches to fix FTBFS with metadata extractor 2.10.1.
    Thanks to Markus Koschany for the initial patch.
    (closes: #866762)
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Jul 2017 19:55:16 +0200

gpsprune (18.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop Debian OpenStreetMap Team from Uploaders.
  * Update URLs to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 19 Dec 2016 07:29:16 +0100

gpsprune (18.5-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Jul 2016 12:47:37 +0200

gpsprune (18.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Apr 2016 12:20:44 +0200

gpsprune (18.3-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file, changes:
    - Update copyright years for activityworkshop.net
    - Drop copyright character from copyright statements
  * Install upstream application icon for hicolor theme.
  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 15 Feb 2016 07:38:07 +0100

gpsprune (18.2-1) unstable; urgency=medium

  * New upstream release.
  * Add trailing semicolon to fix Keywords syntax in desktop file.
  * Don't use full paths for Exec & Icon in desktop file.
  * Add list of files (%F) field code for Exec key.
  * Add MimeType key for application/gpx+xml in desktop file.
  * Also install application icon in hicolor theme.
  * Use desktop file in favor of menu file per CTTE #741573.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 17 Dec 2015 02:38:46 +0100

gpsprune (18.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Browser URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 02 Oct 2015 12:43:15 +0200

gpsprune (18-1) unstable; urgency=medium

  * New upstream release.
  * Drop metadata-extractor.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 22 Jul 2015 09:20:46 +0200

gpsprune (17.2-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Jun 2015 19:27:07 +0200

gpsprune (17.2-2~exp1) experimental; urgency=medium

  * Add patch to rename symbols as used in libmetadata-extractor-java 2.7.2.
  * Bump minimum required libmetadata-extractor-java version to 2.7.2.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Mar 2015 11:44:43 +0100

gpsprune (17.2-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * Restructure control file with cme.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Add upstream metadata.
  * Bump debhelper compatibility to 9.
  * Update copyright file, changes:
    - Add Upstream-Contact
    - Fix Upstream-Name, Prune -> GpsPrune
    - Fold X-Comment into GPL-2 license
    - Update copyright years
  * Add gbp.conf to use pristine-tar by default.
  * Update watch file to support alternative tar formats.
  * Enable parallel builds.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Feb 2015 14:21:15 +0100

gpsprune (17.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump to Standards-Version 3.9.6. No changes required.
  * Reorder debian/copyright paragraphs: more general paragraphs must be given
    first.

 -- Mònica Ramírez Arceda <monica@debian.org>  Thu, 30 Oct 2014 16:07:31 +0100

gpsprune (17-1) unstable; urgency=medium

  * New upstream release.

 -- Mònica Ramírez Arceda <monica@debian.org>  Thu, 25 Sep 2014 10:28:51 +0200

gpsprune (16.3-1) unstable; urgency=medium

  * New upstream release.
  * Update years of upstream and packaging copyright.

 -- Mònica Ramírez Arceda <monica@debian.org>  Tue, 05 Aug 2014 19:17:01 +0200

gpsprune (16.2-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Switch Recommends from gnuplot to gnuplot-x11, bug reported by upstream (!)
  * Bump B-D on libmetadata-extractor-java (>= 2.6.4), which was in
    experimental until now

 -- David Paleino <dapal@debian.org>  Thu, 03 Jul 2014 10:26:09 +0200

gpsprune (15.2-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Improve description.
    - Standards-Version bump to 3.9.5, no changes needed.

 -- Mònica Ramírez Arceda <monica@debian.org>  Mon, 09 Dec 2013 12:39:48 +0100

gpsprune (15.1-1) unstable; urgency=low

  * New upstream version
  * Use the canonical URI in Vcs-* fields
  * Add Keywords key to debian/gpsprune.desktop

 -- Mònica Ramírez Arceda <monica@debian.org>  Mon, 22 Jul 2013 10:46:27 +0200

gpsprune (15-1) unstable; urgency=low

  * New upstream version
    - "nautical mile" is added to unit selector (Closes: #639503)
  * debian/control:
    - Add myself as an uploader
    - Standards-Version bump to 3.9.4, no changes needed
  * debian/copyright:
    - Add required Copyright field to tim/prune/function/srtm/gen/ files
    - Update years
  * debian/scripts/gpsprune:
    - Fix sed commands, when there is no host/port, proxyhost/proxyport
      variables must be empty.
      Thanks to Simó Albert i Beltran <sim6@probeta.net> and to
      <debian@activityworkshop.net> for the patch!

 -- Mònica Ramírez Arceda <monica@debian.org>  Wed, 15 May 2013 10:26:51 +0200

gpsprune (13.4-1) unstable; urgency=low

  * New upstream version
  * Standards-Version bump to 3.9.3, no changes needed
  * Updated debian/copyright

 -- David Paleino <dapal@debian.org>  Sun, 17 Jun 2012 21:47:03 +0200

gpsprune (13.3-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Wed, 22 Feb 2012 18:07:14 +0100

gpsprune (13.2-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Thu, 29 Dec 2011 18:07:39 +0100

gpsprune (13.1-1) unstable; urgency=low

  * New upstream version
    + now defaults looking in ~ for the configuration (Closes: #598983)
    + added OpenSeaMap to background images (Closes: #639502)
  * Upstream author renamed it gpsprune, fix various files
  * Fix Main-Class in debian/manifest

 -- David Paleino <dapal@debian.org>  Thu, 20 Oct 2011 21:54:34 +0200

gpsprune (12.1-2) unstable; urgency=low

  * Fix passing filenames with spaces, patch from Ubuntu
    (Closes: #598977, LP: #735412)

 -- David Paleino <dapal@debian.org>  Tue, 12 Apr 2011 10:40:16 +0200

gpsprune (12.1-1) unstable; urgency=low

  * New upstream version
  * Fix debian/watch to match upstream versions
  * Standards-Version bump to 3.9.2, no changes needed
  * Updated copyright years
  * Bump debhelper compatibility to 8

 -- David Paleino <dapal@debian.org>  Mon, 11 Apr 2011 11:55:49 +0200

gpsprune (12-1) unstable; urgency=low

  * New upstream version
  * debian/scripts/gpsprune: fixed to prefer IPv4 when ipv6bindonly
    is set to 1
  * Fixed debian/watch to download the proper source

 -- David Paleino <dapal@debian.org>  Mon, 13 Dec 2010 18:09:55 +0100

gpsprune (11-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Standards-Version bumped to 3.9.1, no changes needed

 -- David Paleino <dapal@debian.org>  Wed, 18 Aug 2010 10:16:41 +0200

gpsprune (10-1) unstable; urgency=low

  * New upstream version
  * debian/copyright:
    - updated to include new info about generated and binary files in
      tim/prune/function/srtm/
  * debian/scripts/get-tiles.py added, can be used to re-generate
    tiles*.txt files (see debian/copyright)
  * debian/rules:
    - added srtmtiles target; re-build the srtmtiles.dat binary file
      at build-time
    - added tim/prune/function/srtm/srtmtiles.dat to JH_JAR_EXTRA
  * debian/patches/00-fix_readme_in_about.patch removed, merged upstream

 -- David Paleino <dapal@debian.org>  Thu, 06 May 2010 00:08:17 +0200

gpsprune (9-2) unstable; urgency=low

  * debian/control:
    - demote Java3d-related libraries to Recommends.
  * debian/patches/:
    - 00-fix_readme_in_about.patch added, fixes a bug in the About
      screen
  * debian/scripts/gpsprune added; wrapper to gpsprune to use $http_proxy,
    thanks to Andreas Tille (Closes: #578348)
  * debian/links removed
  * debian/install:
    - install debian/scripts/gpsprune in /usr/bin/
  * debian/lintian-overrides removed; now unused

 -- David Paleino <dapal@debian.org>  Mon, 19 Apr 2010 17:04:41 +0200

gpsprune (9-1) unstable; urgency=low

  * Initial release (Closes: #568135)

 -- David Paleino <dapal@debian.org>  Mon, 15 Mar 2010 08:26:36 +0100
